Uncategorize and archive external account
curl --request POST \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/external-accounts/{externalAccountId}/uncategorize-and-archive \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/external-accounts/{externalAccountId}/uncategorize-and-archive"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/external-accounts/{externalAccountId}/uncategorize-and-archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {}
}All external account connections
Uncategorize and archive external account
Uncategorizes all transactions and archives an external account. This purges the account by reverting all transaction categorizations and then archiving the account. The account will no longer sync new transactions and will be removed from the Layer dashboard.
POST
/
v1
/
businesses
/
{businessId}
/
external-accounts
/
{externalAccountId}
/
uncategorize-and-archive
Uncategorize and archive external account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the business.
The UUID of the external account to uncategorize and archive.
Response
200 - application/json
External account uncategorized and archived successfully.